darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | None

Darcs.Patch.Inspect

# Documentation

class PatchInspect p where

Methods

listTouchedFiles :: p x y -> [FilePath]

hunkMatches :: (ByteString -> Bool) -> p x y -> Bool

Instances

PatchInspect Prim |
PatchInspect Prim |
PatchInspect DummyPatch |
PatchInspect p => PatchInspect (RL p) |
PatchInspect p => PatchInspect (FL p) |
PrimPatch prim => PatchInspect (Patch prim) |
PatchInspect p => PatchInspect (Named p) |
PatchInspect p => PatchInspect (PatchInfoAnd p) |
PatchInspect p => PatchInspect (TaggedPatch p) |
PatchInspect prim => PatchInspect (RealPatch prim) |